﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace NuclearSubmarine
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            mainUserControl1.owner = this;
        }

        public void EnableSaveGameMenuItem (bool enable)
        {
            MenuItem fileMenuItem = menu1.Items[0] as MenuItem;
            if (fileMenuItem != null)
            {
                MenuItem saveMenuItem = fileMenuItem.Items[0] as MenuItem;
                if (saveMenuItem != null)
                    saveMenuItem.IsEnabled = enable;
            }
        }

        private void SaveMenuItem_Click(object sender, RoutedEventArgs e)
        {
            mainUserControl1.verb_save();
        }

        private void LoadMenuItem_Click(object sender, RoutedEventArgs e)
        {
            mainUserControl1.LoadGame();
        }

        private void ExitMenuItem_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }

        private void AboutMenuItem_Click(object sender, RoutedEventArgs e)
        {
            AboutBox ab = new AboutBox();
            ab.ShowDialog();
        }
    }
}
